Bug 16826 - Clarify CSS Outline advice in 8.4.4 Element-level focus APIs
Clarify CSS Outline advice in 8.4.4 Element-level focus APIs
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P2 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
: a11y, a11y_focus
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 12:42 UTC by Matthew Turvey
Modified: 2013-01-06 07:06 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Turvey 2012-04-23 12:42:58 UTC
http://www.whatwg.org/specs/web-apps/current-work/multipage/editing.html#element-level-focus-apis

The current text advises:

"Do not use this method to hide the focus ring if you find the focus ring unsightly. Instead, use a CSS rule to override the 'outline' property. (Be aware, however, that this makes the page significantly less usable for some people, especially those with reduced vision who use focus outlines to help them navigate the page.)"

The advice could be improved by emphasising that removing the focus outline affects all keyboard-navigation users, and the negative effects can be mitigated by using another CSS technique to display where the focus is, something like:

"(Be aware, however, that, removing the focus outline makes the page significantly less usable to people who use a keyboard to navigate the page. If you do remove the focus outline, provide an alternative method of indicating focus with CSS :focus, such as adding an underline on text links or a border on linked images.)"
Comment 1 contributor 2012-07-18 07:00:56 UTC
This bug was cloned to create bug 17841 as part of operation convergence.
Comment 2 Silvia Pfeiffer 2013-01-06 07:01:29 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/bc70912c06dbfdf650d9172033c3ccb6ff0123bc
Rationale: adopted resolution by WHATWG
Comment 3 Silvia Pfeiffer 2013-01-06 07:06:56 UTC
Actually - we always had a different text in the W3C spec, which severely discourages the use of .blur() to hide the focus ring:

"Do not use this method to hide the focus ring. Do not use any other method that hides the focus ring from keyboard users,in particluar do not use a CSS rule to override the 'outline' property. Removal of the focus ring leads to serious accessibility issues for users who navigate and interact with interactive content using the keyboard."

Matthew, I assume that is acceptable for you, too? Please re-open the bug if not.